package com.usoftchina.qywx.sdk.dto;

import java.util.List;

/**
 * @author yingp
 */
public class GetChatResp extends BaseResp {

    private Chat chat_info;

    public Chat getChat_info() {
        return chat_info;
    }

    public void setChat_info(Chat chat_info) {
        this.chat_info = chat_info;
    }

    public static class Chat {
        private String chatid;
        /**
         * 群聊名
         */
        private String name;
        /**
         * 群主id
         */
        private String owner;
        /**
         * 群成员id列表
         */
        private List<String> userlist;

        public String getChatid() {
            return chatid;
        }

        public void setChatid(String chatid) {
            this.chatid = chatid;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getOwner() {
            return owner;
        }

        public void setOwner(String owner) {
            this.owner = owner;
        }

        public List<String> getUserlist() {
            return userlist;
        }

        public void setUserlist(List<String> userlist) {
            this.userlist = userlist;
        }
    }
}
